<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.sql\src\model\SQLModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="4.2 Character strings    A character string is a sequence of characters. All the characters in a character string are taken from a single character set. A character string has a length, which is the number of characters in the sequence. The length is 0 (zero) or a positive integer. A character string type is described by a character string type descriptor.    A character string type descriptor contains:   - The name of the specific character string type (CHARACTER , CHARACTER VARYING , and CHARACTER LARGE OBJECT ; NATIONAL CHARACTER , NATIONAL CHARACTER VARYING , and NATIONAL CHARACTER LARGE OBJECT are represented as CHARACTER , CHARACTER VARYING , and CHARACTER LARGE OBJECT , respectively).   - The length or maximum length in characters of the character string type.   - The catalog name, schema name, and character set name of the character set of the character string type.   - The catalog name, schema name, and collation name of the collation of the character string type.    The character set of a character string type may be specified explicitly or implicitly.    The  key word s NATIONAL CHARACTER are used to specify an implementation-defined character set. Special syntax (N'string') is provided for representing literals in that character set. With two exceptions, a character string expression is assignable only to sites of a character string type whose character set is the same. The exceptions are as specified in Subclause 4.2.7,  Universal character sets , and such other cases as may be implementation-defined. If a store assignment would result in the loss of non- space  characters due to truncation, then an exception condition is raised. If a retrieval assignment or evaluation of a  cast specification  would result in the loss of characters due to truncation, then a warning condition is raised.    Character sets fall into three categories: those defined by national or international standards, those defined by SQL-implementations, and those defined by applications. The character sets defined by ISO/IEC 10646 and The Unicode Standard are known as Universal Character Sets (UCS) and their treatment is described in Subclause 4.2.7,  Universal character sets . Every character set contains the  space  character (equivalent to U+0020). An application defines a character set by assigning a new name to a character set from one of the first two categories. They can be defined to  reside  in any schema chosen by the application. Character sets defined by standards or by SQL-implementations reside in the Information Schema (named INFORMATION_SCHEMA) in each catalog, as do collations defined by standards and collations, transliterations, and transcodings defined by SQL-implementations.    NOTE 9 : The Information Schema is defined in ISO/IEC 9075-11.">
<meta name="KeyWords" content="CharacterStringTypes,Class Diagram CharacterStringTypes,SQLModel,model SQLModel,">
<a href="../../../root.html" target=_top><IMG SRC="../../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;Diagram:&nbsp;DataTypes&nbsp;/&nbsp;CharacterStringTypes</b></font></p>
<MAP NAME="mymap">
<AREA Shape="Polygon" coords = "291,513,291,639,431,639,431,513" HREF="class3f25799e0108.htm">
<AREA Shape="Polygon" coords = "27,282,27,385,232,385,232,282" HREF="class3f2186cb02e1.htm">
<AREA Shape="Polygon" coords = "494,291,494,379,666,379,666,291" HREF="class3f25755001a0.htm">
<AREA Shape="Polygon" coords = "232,334,493,334,494,341,232,341" HREF="../../../looseends/ass3f266cd80049.htm">
<AREA Shape="Polygon" coords = "471,156,471,214,564,214,564,156" HREF="../cat3f27d66b01ab/class3ed523c20089.htm">
<AREA Shape="Polygon" coords = "525,214,525,291,517,291,517,214" HREF="../../../looseends/ass3f33ae7e01db.htm">
<AREA Shape="Polygon" coords = "531,9,531,99,672,99,672,9" HREF="../cat3f27d66b01ab/class3e9b3eb5002b.htm">
<AREA Shape="Polygon" coords = "640,290,640,99,647,99,647,290" HREF="inh3f4e47750293.htm">
<AREA Shape="Polygon" coords = "514,156,514,126,580,126,580,99,588,99,588,133,522,133,522,156" HREF="../cat3f27d66b01ab/inh3ed52ed402b8.htm">
<AREA Shape="Polygon" coords = "24,146,24,204,235,204,235,146" HREF="class3edf9e550371.htm">
<AREA Shape="Polygon" coords = "126,282,126,204,133,204,133,282" HREF="inh3f218707016a.htm">
</MAP>
<IMG SRC="dgm3f257126001f.png" USEMAP="#mymap" BORDER=0>
</body>
</html>
